<?php
/**
 * Single Product Thumbnails
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.3
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $product, $woocommerce;

$attachment_ids = $product->get_gallery_attachment_ids();

if ( $attachment_ids ) {
	?>
	<ul id="thumblist" class="pagination clearfix"><?php

		$loop = 0;
		$columns = apply_filters( 'woocommerce_product_thumbnails_columns', 3 );

		foreach ( $attachment_ids as $attachment_id ) {

			$classes = array( 'zoom' );

			if ( $loop == 0 || $loop % $columns == 0 )
				$classes[] = 'first';

			if ( ( $loop + 1 ) % $columns == 0 )
				$classes[] = 'last';

			$image_link = wp_get_attachment_url( $attachment_id );

			if ( ! $image_link )
				continue;

			$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );
			$image_class = esc_attr( implode( ' ', $classes ) );
			$image_title = esc_attr( get_the_title( $attachment_id ) );

			echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<li><a href="javascript:void(0);" rel="{gallery: &#39;gal1&#39;, smallimage: &#39;%s&#39;,largeimage: &#39;%s&#39;}" title="%s">%s</a></li>', $image_link, $image_link, $image_title, $image ), $attachment_id, $post->ID, $image_class );

			$loop++;
		}

	?></ul>
	<div class="next_prev">
		<a id="img_prev" class="arows" href="#"><span>Prev</span></a>
		<a id="img_next" class="arows" href="#"><span>Next</span></a>
	</div><!-- .next_prev -->
	<?php
}